Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class ChallengeResponseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.mozilla.jss.pkix.crmf.ChallengeResponseException

All Implemented Interfaces:
  java.io.Serializable

public class ChallengeResponseException
extends java.lang.Exception

An exception thrown when challenge response pop is requested.

See Also:
  Serialized Form

Field Summary
`private ChallengeResponseException` | `child`

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`ChallengeResponseException(ChallengeResponseException e, java.lang.String mesg)`
`ChallengeResponseException(java.lang.String mesg)`

Method Summary
`java.lang.String` | `toString()` Prints out the exception class and error message, including all the nested exceptions.
`java.lang.String` | `toStringNested()` Prints out the error message of this exception, including all the nested exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, printStackTrace0`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### child

    private ChallengeResponseException child

Constructor Detail

### ChallengeResponseException

    public ChallengeResponseException(java.lang.String mesg)

### ChallengeResponseException

    public ChallengeResponseException(ChallengeResponseException e,
                                      java.lang.String mesg)

Method Detail

### toString

    public java.lang.String toString()

  Prints out the exception class and error message, including all the nested exceptions.
  Overrides:
    `toString` in class `java.lang.Throwable`

### toStringNested

    public java.lang.String toStringNested()

  Prints out the error message of this exception, including all the nested exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD